enemies = {}

function enemy_load()
	enemy = {}
	enemy.x = 100
	enemy.y = 100
	enemy.d = 1
	enemy.facing = 1
	enemy.w = 20
	enemy.speed = 100
	enemy.startx = enemy.x
	enemy.t = 500
	enemy.draw = false
	enemy.sound = 50
	table.insert(enemies, enemy)
	
	enemy = {}
	enemy.x = 400
	enemy.y = 400
	enemy.d = 2
	enemy.facing = -1
	enemy.w = 20
	enemy.speed = 100
	enemy.starty = enemy.y
	enemy.t = 100
	enemy.draw = false
	enemy.sound = 50
	table.insert(enemies, enemy)
end

function enemy_update(dt)
	for i,v in ipairs(enemies) do
		-- Movement
		if(v.d == 1) then
			v.x = v.x + v.speed * v.facing * dt
			if(v.x < v.startx or v.x == v.startx) then
				v.facing = 1
			end
			if(v.x > v.t or v.x == v.t) then
				v.facing = -1
			end
		end
		
		if(v.d == 2) then
			v.y = v.y + v.speed * v.facing * dt
			if(v.y > v.starty or v.y == v.starty) then
				v.facing = -1
			end
			if(v.y < v.t or v.y == v.t) then
				v.facing = 1
			end
		end
		
		--Collision
		if distBasedCollision(v.x + 10, v.y + 10, player.x + 10, player.y + 10, player.sound, v.w*0.5) then
			player.hit = true
			v.draw = true
		else
			--nothing
		end
	end
end

function enemy_draw()
	for i,v in ipairs(enemies) do
		if(v.draw == true or love.keyboard.isDown("/")) then
			love.graphics.circle("line", v.x + 10, v.y + 10, v.sound)
			love.graphics.rectangle("fill",v.x,v.y,v.w,v.w)
		end
	end
end