require "player"
require "enemies"
require "level"

function love.load()
	--enemy_load()
	level_1()
end

function love.update(dt)
	if(player.hit == false) then
		player_update(dt)
		enemy_update(dt)
	end
	if(player.hit == true) then
		if(love.keyboard.isDown("r")) then
			level_1()
			player.hit = false
		end
	end
	level_update()
end

function love.draw()
	player_draw()
	enemy_draw()
	level_draw()
end

function CheckCollision(ax1,ay1,aw,ah, bx1,by1,bw,bh)

  local ax2,ay2,bx2,by2 = ax1 + aw, ay1 + ah, bx1 + bw, by1 + bh
  return ax1 < bx2 and ax2 > bx1 and ay1 < by2 and ay2 > by1
end

function distBasedCollision(ax, ay, bx, by, ar, br)
    return (bx - ax)^2 + (by - ay)^2 < (ar + br)^2
end

function CheckCollision(ax1,ay1,aw,ah, bx1,by1,bw,bh)

  local ax2,ay2,bx2,by2 = ax1 + aw, ay1 + ah, bx1 + bw, by1 + bh
  return ax1 < bx2 and ax2 > bx1 and ay1 < by2 and ay2 > by1
end