player = {}
player.x = 35
player.y = 335
player.w = 20
player.sound = 30
player.speed = 100
player.walk = 100
player.sprint = 400
player.hit = false

function player_update(dt)
	if(love.keyboard.isDown("w")) then
		player.y = player.y - player.speed * dt
	end
	if(love.keyboard.isDown("s")) then
		player.y = player.y + player.speed * dt
	end
	if(love.keyboard.isDown("a")) then
		player.x = player.x - player.speed * dt
	end
	if(love.keyboard.isDown("d")) then
		player.x = player.x + player.speed * dt
	end
	--if(love.keyboard.isDown("lshift")) then
	--	player.speed = player.walk/2
	--	player.sound = 15
	--end
	if(love.keyboard.isDown(" ")) then
		player.speed = player.sprint
		player.sound = 50
	else if(love.keyboard.isDown("lshift")) then
		player.sound = 15
		player.speed = player.walk/2
	else
		player.speed = player.walk
		player.sound  = 30
	end
	end
	
	-- Collision
	for i,v in ipairs(enemies) do
		if distBasedCollision(v.x + 10, v.y + 10, player.x + 10, player.y + 10, v.sound, player.w*0.5) then
			v.draw = true
		else
			v.draw = false
		end
	end
	
end

function player_draw()
	if(player.hit == true) then
		love.graphics.print("You've been heard, press 'r' to retry", 200,200)
	end
	love.graphics.circle("line", player.x + 10, player.y + 10, player.sound)
	love.graphics.circle("line", player.x + 10, player.y + 10, player.w*0.5)
	love.graphics.rectangle("fill", player.x, player.y, player.w, player.w)
end